#include <Wire.h>
#include <LCD.h>
#include <LiquidCrystal_I2C.h>

#define I2C_ADDR 0x3F 
#define BACKLIGHT_PIN 3
LiquidCrystal_I2C lcd(I2C_ADDR,2,1,0,4,5,6,7);
int total = 0;
int coin_in = 0;
int count_one = 0;
int count_ten = 0;
int count_five = 0;
int sensorValue1;
int sensorValue2;
int sensorValue3;
void setup() {
  Serial.begin(9600);
  lcd.begin (16,2);
  lcd.setBacklightPin(BACKLIGHT_PIN,POSITIVE);
  lcd.setBacklight(HIGH);
  display();
}

void loop() {
  sensorValue1 = analogRead(A0);
  sensorValue2 = analogRead(A1);
  sensorValue3 = analogRead(A2);

  if(sensorValue1 > 28){
    count_one += 1;
    total += 1;
    display();  
  }
  if(sensorValue2 > 28){
    count_five += 1;
    total += 5;
    //sum += 10;
    display();
  }
  if(sensorValue3 > 28){
    count_ten += 1;
    total += 10;
    display();
  }
 
  delay(30);
}
void display() {
  lcd.clear();
  lcd.setCursor(1,0);
  lcd.print("Total:"); 
  lcd.print(total);

  lcd.setCursor(11,0);
  lcd.print("1:x"); 
  lcd.print(count_one);
 
  lcd.setCursor(3,1);
  lcd.print("10:x"); 
  lcd.print(count_ten);
  lcd.setCursor(11,1);
  lcd.print("5:x"); 
  lcd.print(count_five);

}

